"use client"
import './chill.css';
import Sound from '@components/pages/Sound';
import Stop from '@components/core/Stop';
import metadata from '@metadata.json';
import { useState, useEffect } from "react";
function Page() {


			const[sounds, setSounds] = useState(false);
			useEffect(() => {
				async function getfetch () {
					const response = await fetch(metadata.hostname+'/api/chill');
					const result = await response.json();
					return result;
				};
				getfetch()
					.then((data) => {
						setSounds(data);
					})
			}, []);

			return (
				<>
				<div className="flex flex-col w-full items-center justify-center content-center">
					<h1 className="text-2xl font-bold text-white mt-4 mb-2">Chill and Relax</h1>
					<h2 className="text-2xl font-bold text-primary mb-4">Football Sounds</h2>
				</div>
				<div className="w-auto container m-auto sm:mx-auto mx-4 h-auto sm:h-[10em] flex space-y-2 sm:space-y-0 sm:space-x-2 flex-col sm:flex-row flex-wrap content-center justify-center items-center p-3 rounded-lg bg-primary text-primary-content">
						{
							sounds ? (
								<Stop data={sounds} />
							):null
						}
				</div>
				<div className="flex flex-row flex-wrap py-8 items-center justify-center content-center min-h-[70vh]">
						{
								sounds && sounds.map((sound, i)=>(
									<Sound audio={(new URL(sound.sound)) ? sound.sound : metadata.backend+'storage/'+sound.sound} img={(new URL(sound.img)) ? sound.img : metadata.backend+'storage/'+sound.img} name={sound.name} />
								))
						
						}
				</div>
				</>

		);


}

export default Page;
